Skip to main content
POST
POST /v1/scan-proxy/holdings/summary

Body

application/json
migration_id
integer<int64>
required

The migration id for which to return the summary.

record_time
string<date-time>
required

The timestamp at which the contract set was active. This needs to be an exact timestamp, i.e., needs to correspond to a timestamp reported by /v0/state/acs/snapshot-timestamp if record_time_match is set to exact (which is the default). If record_time_match is set to at_or_before, this can be any timestamp, and the most recent snapshot at or before the given record_time will be returned.

owner_party_ids
string[]
required

The owners for which to compute the summary.

Minimum array length: 1
record_time_match
enum<string>
default:exact

How to match the record_time. "exact" requires the record_time to match exactly. "at_or_before" finds the most recent snapshot at or before the given record_time.

Available options:
exact,
at_or_before

Response

ok

record_time
string<date-time>
required

The same record_time as in the request.

migration_id
integer<int64>
required

The same migration_id as in the request.

summaries
object[]
required